/*
 Inspired from
 Controlling a servo position using a potentiometer (variable resistor)
 by Michal Rinott <http://people.interaction-ivrea.it/m.rinott>

 modified on 21 July 2020
 by My Human Kit
 http://myhumankit.org

 To realize a teaching material to explain Arduino easier
 http://wikilab.myhumankit.org/index.php?title=Supports_peda:Outil_d%27initiation_%C3%A0_arduino

 IR sensor : attached to pin A0
 Servo : atached to pin 9
 
*/

#include <Servo.h>

Servo myservo;  // create servo object to control a servo

int IRpin = 0;  // analog pin used to connect the potentiometer
int val;        // variable to read the value from the analog pin

void setup() 
{
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
}

void loop() 
{
  val = analogRead(IRpin);             // reads the value of the potentiometer (value between 0 and 1023)
  val = map(val, 0, 1023, 0, 90);      // scale it to use it with the servo (value between 0 and 90)
  myservo.write(val);                  // sets the servo position according to the scaled value
  delay(15);                           // waits for the servo to get there
}

